/*
 * Copyright (C) 2003 LAAS/CNRS 
 *
 * Matthieu Herrb - Mon Apr 14 2003
 *
 * $Source$
 * $Revision$
 * $Date$
 * 
 */
#ifndef _SERIAL_H
#define _SERIAL_H

/* prototypes */
extern int openSerial(const char *, int);
extern int readSerial(int, char *, size_t);
extern int readSerialLen(int fd, char *buf, size_t len);
extern int writeSerial(int, char *, size_t);
extern int serialGetChar(int fd);
 
int
readSerialMinMax(int fd, char *buf, size_t min, size_t max);

#endif
